<?php

namespace Drupal\mollie_donations\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\mollie_donations\MollieServiceInterface;

/**
 * Controller for the Mollie callback.
 */
class MollieCallbackController extends ControllerBase {

  /**
   * Drupal\mollie_donations\MollieServiceInterface definition.
   *
   * @var \Drupal\mollie_donations\MollieServiceInterface
   */
  protected $mollieService;

  /**
   * Constructs a new MollieCallbackController object.
   */
  public function __construct(MollieServiceInterface $mollieService) {
    $this->mollieService = $mollieService;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static($container->get('mollie_donations.mollie'));
  }

  /**
   * Callback.
   *
   * @return array
   *   Method return.
   */
  public function callback() {
    $this->mollieService->getPayment();

    return [
      '#type' => 'markup',
      '#markup' => $this->t('Implement method: callback'),
    ];
  }

}
