<?php

namespace Drupal\mollie_donations\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;

/**
 * Provides a 'DonateBlock' block.
 *
 * @Block(
 *  id = "donate_block",
 *  admin_label = @Translation("Donate block"),
 * )
 */
class DonateBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $config = \Drupal::config('mollie_donations.settings');
    $isActive = $config->get('activate_donations');

    if (!empty($isActive)) {
      return [
        '#title' => t('Help us! Donate online here!'),
        '#type' => 'link',
        '#url' => Url::fromRoute('mollie_donations.donation_form'),
        '#cache' => [
          'contexts' => ['user'],
        ],
      ];
    }

    return [];
  }

}
